<mat-toolbar color="primary" class="pt-1 mb-1 sticky-top">
  <mat-toolbar-row class="d-flex justify-content-between">
    <div class="col-1 align-items-center ">
      <a mat-icon-button class=" align-items-center">
        <mat-icon >emoji_nature</mat-icon>
      </a>
    </div>
    <div class="col-md-5 d-md-flex flex-row-start d-none d-md-block align-items-center">
      <span class="mr-2 ml-2 align-items-center"><button  mat-icon-button routerLink="/todolist">Agenda</button></span>
      <span class="mr-2 ml-2 align-items-center"><button mat-icon-button routerLink="/gardens">Jardin</button></span>
      <span class="mr-2 ml-2 align-items-center"><button mat-icon-button routerLink="/account">Compte</button></span>
    </div>
    <div class="d-flex flex-row justify-content-end align-items-center col">
     
      <div *ngIf="currentUser" class="d-flex flex-row col d-flex justify-content-end">
      <span>
        <mat-icon class="verified-icon" aria-hidden="false" aria-label="user verified icon">
          verified_user
        </mat-icon>
      </span>
        <span><button mat-icon-button class="d-none d-md-block ml-1">Bienvenue, {{currentUser.email}}</button></span></div>
      <div class="col d-flex justify-content-end">
        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="icon-button with a menu-nav">
          <mat-icon id="more_vert" >more_vert</mat-icon>
        </button>
        <mat-menu #menu="matMenu">
          <button mat-menu-item routerLink="/todolist">
            <mat-icon>calendar_today</mat-icon>
            <span>Agenda</span>
          </button>
          <button mat-menu-item routerLink="/gardens">
            <mat-icon >spa</mat-icon>
            <span>Jardin</span>
          </button>
          <button mat-menu-item routerLink="/account">
            <mat-icon>account_circle</mat-icon>
            <span>Compte</span>
          </button>
          <button mat-menu-item (click)="logout()">
            <mat-icon>exit_to_app</mat-icon>
            Se Déconnecter
          </button>
        </mat-menu>
      </div>
    
    </div>
    <!-- <a mat-flat-button (click)="logout()">Se Déconnecter</a> -->
  </mat-toolbar-row>
</mat-toolbar>